# $Revision: 1.56 $, $Date: 2012/05/20 19:50:17 $
# NOTE
# - change history: http://dev.mysql.com/doc/workbench/en/wb-change-history.html
# TODO
# - server administration is broken: sudo locks up (time to time) and it puts
#   EnterPasswordHere begginning of mysqld.conf if you try to manage settings
Summary:	Extensible modeling tool for MySQL
Summary(pl.UTF-8):	Narzędzie do modelowania baz danych dla MySQL-a
Name:		mysql-workbench
Version:	5.2.40
Release:	1
License:	GPL v2
Group:		Applications/Databases
Source0:	ftp://ftp.mirrorservice.org/sites/ftp.mysql.com/Downloads/MySQLGUITools/%{name}-gpl-%{version}-src.tar.gz
# Source0-md5:	ac5c2058cd39c796a1c7bed2647f74b6
Source1:	PLD_Linux_(MySQL_Package).xml
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-python_libs.patch
Patch2:		%{name}-posix.patch
Patch3:		automake.patch
Patch5:		pld-profile.patch
Patch6:		get_local_ip_list.patch
Patch7:		log_slow_queries.patch
Patch8:		bashism.patch
Patch9:		system-cppconn.patch
Patch10:	avoid-version.patch
Patch11:	wrapper-exec.patch
URL:		http://wb.mysql.com/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel
BuildRequires:	cairo-devel >= 1.3.12
BuildRequires:	ctemplate-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	gtkmm-devel >= 2.4
BuildRequires:	libglade2-devel
BuildRequires:	libgnome-devel >= 2.0
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libsigc++-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libzip-devel
BuildRequires:	lua51-devel
BuildRequires:	mysql-connector-c++-devel >= 1.1.0-0.bzr916
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	readline-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sqlite3-devel
Requires:	desktop-file-utils
Requires:	python-paramiko
Requires:	python-pexpect
Requires:	python-sqlite
Requires:	shared-mime-info
Requires:	xdg-utils
Suggests:	gnome-keyring
Suggests:	mysql-utilities
Suggests:	sudo
Obsoletes:	mysql-administrator
Obsoletes:	mysql-gui-tools
Obsoletes:	mysql-query-browser
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# too broken
%define		no_install_post_check_so	1

%description
MySQL Workbench is a database modeling tool for MySQL. You can use it
to design and create new database schemas, document existing databases
and even perform complex migrations to MySQL.

%description -l pl.UTF-8
MySQL Workbench to narzędzie do modelowania baz danych dla MySQL-a.
Można używać go do projektowania i tworzenia schematów nowych baz
danych, dokumentowania istniejących baz danych, a nawet wykonywania
skomplikowanych migracji do MySQL-a.

%prep
%setup -q -n %{name}-gpl-%{version}-src
%undos MySQLWorkbench.desktop.in
# we use System provided libraries
rm -r ext/python/pexpect
rm -r ext/cppconn
#rm -r ext/tinyxml
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
cp -p '%{SOURCE1}' res/mysql.profiles

%build
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-dependency-tracking \
	--enable-readline \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -Wno-deprecated" \
	LUA_LIBS="$(pkg-config --libs lua51)" \
	LUA_CFLAGS="$(pkg-config --cflags lua51)"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
# clear mimeinfodata_DATA because don't want deprecated gnome-vfs install
%{__make} install \
	doc_DATA= \
	mimeinfodata_DATA= \
	DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{_libdir}/%{name} -name '*.la'  | xargs rm -v

%py_comp $RPM_BUILD_ROOT%{_libdir}/%{name}
%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
# cleaning .py breaks ssh connections
#%%py_postclean %{_libdir}/%{name} %{_datadir}/%{name}

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
cp -p images/icons/MySQLWorkbench-128.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

mv $RPM_BUILD_ROOT%{_desktopdir}/{MySQLWorkbench,%{name}}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_mime_database

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-bin
%{_datadir}/%{name}
%{_datadir}/mime/packages/mysql-workbench.xml
%{_iconsdir}/hicolor/*x*/apps/mysql-workbench.png
%{_iconsdir}/hicolor/*x*/mimetypes/*.png
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so*
%dir %{_libdir}/%{name}/modules
%{_libdir}/%{name}/modules/*.py*
%{_libdir}/%{name}/modules/*.lua
%attr(755,root,root) %{_libdir}/%{name}/modules/*.so*
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql-workbench.spec,v $
Revision 1.56  2012/05/20 19:50:17  glen
- up to 5.2.40

Revision 1.55  2012/05/16 05:36:49  glen
- rel 1, still broken server administration left as todo

Revision 1.54  2012/05/14 06:59:19  glen
- suggest mysql-utilities

Revision 1.53  2012/05/13 20:41:20  glen
- up to 5.2.39 (updates the bundled MySQL Utilities to version 1.0.5. It contains no other new features or bug fixes)

Revision 1.52  2012/05/13 19:13:35  glen
- use exec in wrapper

Revision 1.51  2012/05/13 19:10:41  glen
- package .pyc

Revision 1.50  2012/05/11 23:13:10  glen
- need mysql-connector-c++ >= 1.1.1 here

Revision 1.49  2012/05/11 20:20:42  glen
- avoid versioned internal plugins

Revision 1.48  2012/05/11 20:19:07  glen
- use system mysql-connector-c++-devel; cleanup .la; package shared libs as executable

Revision 1.47  2012/05/11 18:07:52  glen
- don't ever refer patches by number, those tend to get outdated; besides xdg-open used now anyway

Revision 1.46  2012/05/11 17:52:34  glen
- correct previous commit message

Revision 1.45  2012/05/11 17:51:51  glen
- stop bashism

Revision 1.44  2012/05/11 17:41:32  glen
- alternative slow log configration param

Revision 1.43  2012/05/11 16:43:10  glen
- fix ipconfig callout

Revision 1.42  2012/05/11 16:33:56  glen
- add pld server type
- update desktop stuff
- drop deprecated gnome-vfs (we use shared mime info)

Revision 1.41  2012/03/31 08:52:22  arekm
- rel 1

Revision 1.40  2012/03/30 22:00:37  zawadaa
- more files
- STBR

Revision 1.39  2012/03/29 12:09:30  wiget
- enable glib.patch

Revision 1.38  2012/03/29 11:17:02  wiget
- up to 5.2.38

Revision 1.37  2012/03/28 12:16:35  arekm
- release 3

Revision 1.36  2012/03/28 07:25:17  arekm
- release 2

Revision 1.35  2011/12/30 10:01:26  arekm
- up to 5.2.37 but our gcc dies with many internal errors on this

Revision 1.34  2011/07/14 20:05:00  arekm
- rel 2; gcc fix

Revision 1.33  2011/07/14 18:33:51  arekm
- up to 5.2.34

Revision 1.32  2011/04/03 07:29:40  arekm
- rel 6; build fix

Revision 1.31  2011/04/03 06:52:33  arekm
- rel 5; 5.2.33b

Revision 1.30  2011/03/31 18:14:02  arekm
- release 4

Revision 1.29  2011/03/24 19:53:29  arekm
- release 3

Revision 1.28  2011/03/21 19:09:35  wiget
- rel. 2

Revision 1.27  2011/03/11 18:57:02  arekm
- up to 5.2.33

Revision 1.26  2011/02/03 15:00:44  sparky
- BR: rpm-pythonprov

Revision 1.25  2011/02/03 13:32:14  arekm
- up to 5.2.31

Revision 1.24  2011/01/31 08:52:50  arekm
- release 2

Revision 1.23  2010/10/16 10:52:16  arvenil
- up to 5.2.29

Revision 1.22  2010/09/26 08:48:46  arvenil
- up to 5.2.28

Revision 1.21  2010/09/17 18:17:24  arvenil
- up to 5.2.27

Revision 1.20  2010/08/14 19:50:40  arvenil
- up to 5.2.26

Revision 1.19  2010/07/08 07:55:56  arekm
- release 2

Revision 1.18  2010/07/02 07:49:02  arvenil
- merge changes from DEVEL
- release 1

Revision 1.12.2.12  2010/07/01 16:27:07  arvenil
- up to 5.2.25

Revision 1.12.2.11  2010/06/26 14:39:47  arvenil
- added patch which replaces gnome_url_show() by xdg-open
- R: xdg-utils
- release 0.2

Revision 1.12.2.10  2010/06/22 00:27:43  arvenil
- up to 5.2.24
- droped patch for external_ctemplate; it's detected automatically now

Revision 1.12.2.9  2010/06/08 23:48:17  arvenil
- drop as-needed patch

Revision 1.12.2.8  2010/06/08 20:16:13  arvenil
- S: gnome-keyring

Revision 1.12.2.7  2010/06/05 14:37:08  arvenil
- S: sudo (for server administration)

Revision 1.12.2.6  2010/06/05 11:15:08  arvenil
- R: python-sqlite

Revision 1.12.2.5  2010/06/05 10:48:42  arvenil
- O: mysql-{administrator,gui-tools,query-browser}

Revision 1.12.2.4  2010/06/05 09:28:19  arvenil
- rename -build.patch -> -external_ctemplate.patch
- added -as_needed.patch
- added -python_libs.patch

Revision 1.12.2.3  2010/06/03 10:36:46  glen
- deps for fixed undos macro

Revision 1.12.2.2  2010/06/03 08:23:24  arvenil
- up to 5.2.22 RC 2
- broken undos macro

Revision 1.12.2.1  2010/05/18 00:27:02  arvenil
- up to 5.2.21

Revision 1.17  2010/06/06 21:33:17  sparky
- BR: gettext-devel, libgnome-keyring-devel, python-devel, sqlite3-devel

Revision 1.16  2010/06/04 16:49:04  baggins
- rel 2

Revision 1.15  2010/05/18 13:46:05  arekm
- ssh tunnel manager needs this

Revision 1.14  2010/05/18 13:37:39  arekm
- filterout as-needed for now

Revision 1.13  2010/05/18 10:05:29  arekm
- 5.2.21; still doesn't build

Revision 1.12  2010/04/11 15:28:05  arvenil
- up to 5.1.18

Revision 1.11  2010/04/08 12:09:11  arekm
- enable readline; temporaily filterout as-needed due to broken modules linking

Revision 1.10  2010/04/08 12:02:28  arekm
- up to 5.1.17

Revision 1.9  2009/07/22 20:51:53  arvenil
- up to 5.1.16
- BR: boost-devel (build with system boost)
- added gcc 4.4 patch

Revision 1.8  2009/04/01 19:25:30  arvenil
- up to 5.1.9
- added --as-needed problem to TODO

Revision 1.7  2008/11/10 19:01:25  arvenil
- init
